local M = {}

local function onInit()
end

local function onReset()
	onInit()
end

local function setAlt(alt)
	thrusters.setAlt(alt)
end

local function setHdg(hdg)
	thrusters.setHdg(hdg)
end

local function setDirectHdg(hdg)
	thrusters.setDirectHdg(hdg)
end

local function setVy(vy)
	thrusters.setVy(vy)
end

local function setVx(vx)
	thrusters.setVx(vx)
end

local function setVz(vz)
	thrusters.setVz(vz)
end

local function stop()
	thrusters.stop()
end

local function track(id)
	thrusters.track(id)
end

local function follow(id, dist, alt)
	thrusters.follow(id, dist, alt)
end

local function goTo(x, y)
	thrusters.goTo(x, y)
end

local function goHome()
	thrusters.goHome()
end

local function setTRadius(n)
	thrusters.t_radius=n
end

-- public interface
M.reset       = reset
M.init		  = init
M.setAlt 	  = setAlt
M.setHdg 	  = setHdg
M.setDirectHdg= setDirectHdg
M.setVy 	  = setVy
M.setVx 	  = setVx
M.setVz 	  = setVz
M.stop 	  	  =	stop
M.track 	  = track
M.follow 	  = follow
M.goTo		  = goTo
M.goHome		  = goHome
M.setTRadius=setTRadius

return M